from setuptools import setup
import os


def get_long_description():
    with open(
        os.path.join(os.path.dirname(__file__), "README.md"),
        encoding="utf8",
    ) as fp:
        return fp.read()


setup(name="xmpdf",
      version="0.4",
      long_description=get_long_description(),
      long_description_content_type="text/markdown",
      description="Extracts email metadata and text from a PDF file",
      author="Ben Lis, History Lab @ Columbia University",
      url="https://github.com/history-lab/xmpdf",
      license="MIT License",
      install_requires=["pdftotext", "python-magic", "jsonpickle"],
      py_modules=["pgparse", "xmpdf"])
